OD(1)

NAME
od - octal dump

SYNOPSIS
od [-bcdhox] [file] [ [+] offset [.][b] ]

OPTIONS

-b  # Dump bytes in octal

-c  # Dump bytes as ASCII characters

-d  # Dump words in decimal

-h  # Print addresses in hex (default is octal)

-o  # Dump words in octal (default)

-v  # Verbose (list duplicate lines)

-x  # Dump words in hex

EXAMPLES

od -ox file
    # Dump file in octal and hex

od -d file +1000
    # Dump file starting at byte 01000

od -c file +10.b
    # Dump file starting at block 10

DESCRIPTION

Od dumps a file in one or more formats. If file is missing, stdin is dumped. The offset argument tells od to skip a certain number of bytes or blocks before starting. The offset is in octal bytes, unless it is followed by a '.' for decimal or b for blocks or both.